> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bango.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a user.

> Resource used to delete data about a user.



## OpenAPI

````yaml /openapi/legacy/payments/merchant-to-bango/openapi.yaml delete /v5/identity/{bangoUserId}
openapi: 3.0.0
info:
  title: Bango Payment API v5
  description: >
    Changelog

    * 5.0.0: Initial release

    * 5.0.1: Add the CLIENT_ACTION_REQUIRED response code to the Transaction
    resource's POST method. Similar to the Identity resource's POST method, this
    lets the Bango Platform support payment routes that require user
    interactions. Currently, the only action that may be returned by the API is
    REDIRECT. Other actions may be added later.
  version: 5.0.1
servers:
  - description: SwaggerHub API Auto Mocking
    url: https://virtserver.swaggerhub.com/BangoProducts/Bango-Payment-API-v5/5.0.1
security:
  - basic: []
paths:
  /v5/identity/{bangoUserId}:
    delete:
      tags:
        - Identity
      summary: Delete a user.
      description: Resource used to delete data about a user.
      operationId: DeleteUser
      parameters:
        - name: bangoUserId
          in: path
          required: true
          style: simple
          explode: false
          schema:
            type: string
      responses:
        '200':
          description: 'Successful deactivation | Testing - Prefer: status=200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Response'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Response'
              examples:
                BAD_REQUEST:
                  value:
                    responseCode: BAD_REQUEST
                    responseMessage: Invalid request.
                  description: 'Testing - Prefer: status=400'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Response'
              examples:
                UNAUTHORIZED:
                  value:
                    responseCode: UNAUTHORIZED
                    responseMessage: Invalid access credentials.
                  description: 'Testing - Prefer: status=401'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Response'
              examples:
                NOT_FOUND:
                  value:
                    responseCode: NOT_FOUND
                    responseMessage: Invalid user identifier.
                  description: 'Testing - Prefer: status=404'
        '500':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Response'
              examples:
                INTERNAL_ERROR:
                  value:
                    responseCode: INTERNAL_ERROR
                    responseMessage: The server encountered an unexpected condition.
                  description: 'Testing - Prefer: status=500'
        '503':
          description: Service unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Response'
              examples:
                SERVICE_UNAVAILABLE:
                  value:
                    responseCode: SERVICE_UNAVAILABLE
                    responseMessage: The server is undergoing maintenance.
                  description: 'Testing - Prefer: status=503'
components:
  schemas:
    Response:
      required:
        - responseCode
        - responseMessage
      type: object
      properties:
        responseCode:
          type: string
          example: OK
        responseMessage:
          type: string
          example: Success.
  securitySchemes:
    basic:
      type: http
      description: Basic authentication
      scheme: basic

````